Subject: Re: [PATCH iproute2 1/3] vxlan: add support for collect metadata flag

From: Paolo Abeni <[email-masked]>
Date: Wed, 16 Dec 2015 13:11:05 +0100

On Wed, 2015-12-16 at 11:56 +0100, Jiri Benc wrote:
> On Wed, 16 Dec 2015 11:50:53 +0100, Jiri Benc wrote:
> > Also, as a related remark, please note that IFLA_VXLAN_COLLECT_METADATA
> > is mutually exclusive with many other flags. It's currently not
> > enforced correctly at the kernel level (instead, you get weird
> > behavior). I'll fix this on the kernel side but we may want to enforce
> > this on the iproute2 side, too, to get a better error message. This is
> > not to be addressed by this patch, though.
> 
> Actually, there's one thing this patch must do. Currently, vxlan
> enforces vni to be specified. This is not required for metadata based
> tunneling. It's actually not permitted.

Ok, thank you. I'll re-submit incorporating your feedback.

Cheers,

Paolo